'FFSubmenu=Tools
'FFName=Ordnersuche


'(c) Harald Maeckler, Dsseldorf 2016
' ***********************************************************************
' Ordnersuche.vbs (Skript fr FixFoto)
' Suchen von Ordnern
' ***********************************************************************
'
' Version 1.02 vom 05.12.2016	- Sonderfunktionen Umbenenennen und Verschieben
' Version 1.01 vom 03.12.2016	- Format abc\xyz fr Suchbegriff zulssig
' Version 1.00 vom 01.12.2016	- Betaversion
' ***********************************************************************

Option Explicit

'Updatekonstanten und Variable
const SkriptVersion = "1.02"
const SkriptURL = "http://www.ffsf.de/resources/ordnersuche.360/"
Dim UrlVersion,UrlV_Zahl,SkriptV_Zahl,SkriptEnde

'allgemeine Konstanten und Variable
const ForReading = 1, ForWriting = 2
Dim Abbruch,Antwort

'Skiptspezifische Konstanten und Variable
Dim Ziel,StartVer,SuchText,SuchTextUO,ErgListe
Dim folder,subfolder,n,Anz,pos
Dim OrdnerNeu,OrdnerPfad,OrdnerZiel,OrdnerAktuell

const allFolder = false
'bei false wird bei positivem Suchergebnis nicht weiter in der Tiefe gesucht
'bei true werden alle Ordner mit dem Suchbegriff im Namen aufgelistet

'Objekte
Dim objFS,WshShell
Set objFS = CreateObject("Scripting.FileSystemObject")
Set WshShell = CreateObject("WScript.Shell")

'Lschroutine
Dim SkriptKill,TempFile	 : SkriptKill = false
Dim SkriptName
const Skript = "Ordnersuche"					'Skriptname
const RegSchluessel = "FF_Ordnersuche"			'Registryschlssel

' ***********************************************************************
call main
Set WshShell = Nothing
Set objFS = Nothing
' ***********************************************************************
Sub main

on error resume next							'Kontrolle ob Skript in FF-Umgebung gestartet wurde
	FF_GetScriptPath
 	if err <> 0 then
		msgbox "Das Skript funktioniert nur in der Programmumgebung von FixFoto!",vbCritical,"Abbruch"
		exit sub
	end if
on error goto 0

if objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbs") then
	SkriptName = Skript & ".vbs"
elseif objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbe") then
	SkriptName = Skript & ".vbe"
else
	msgbox "Das Skript wurde umbenannt!",vbCritical,"Abbruch"
	exit sub
end if

'** Start Dialog Ordnersuche **
FF_AddDialog "Ordnersuche",250,194
FF_AddControl "Ordnersuche","Suchergebnis","GROUP",5,68,240,94
FF_AddControl "Ordnersuche","Suchparameter","GROUP",5,5,240,60
FF_AddControl "Ordnersuche","Fortschritt","PROGRESS",5,168,240,4
FF_AddControl "Ordnersuche","?","BUTTON",5,178,11,11
FF_AddControl "Ordnersuche","|","STATIC",18,178,22,11
FF_SetControlStyle "Ordnersuche","|",1
FF_AddControl "Ordnersuche","Update","BUTTON",42,178,33,11
FF_AddControl "Ordnersuche","Abbrechen","BUTTON",176,178,33,11
FF_AddControl "Ordnersuche","Suchen","BUTTON",212,178,33,11
FF_AddControl "Ordnersuche","&delete","BUTTON",0,0,1,1
FF_AddControl "Ordnersuche","Startverzeichnis","STATIC",12,16,40,10
FF_AddControl "Ordnersuche","StartVer","SLEDIT",12,26,214,10
FF_SetControlStyle "Ordnersuche","StartVer",2048
FF_AddControl "Ordnersuche","...","BUTTON",230,26,10,10
FF_AddControl "Ordnersuche","Suchbegriff","STATIC",12,40,40,10
FF_AddControl "Ordnersuche","SuchText","SLEDIT",12,50,228,10
FF_AddControl "Ordnersuche","ErgListe","LISTBOX",12,88,228,58
FF_AddControl "Ordnersuche","||","STATIC",12,77,50,10
FF_AddControl "Ordnersuche","bei Doppelklick auf einen der Ordner wird","STATIC",31,145,102,8
FF_SetControlStyle "Ordnersuche","bei Doppelklick auf einen der Ordner wird",1
FF_AddControl "Ordnersuche","dieser zum aktuellen Computerverzeichnis","STATIC",31,152,102,8
FF_SetControlStyle "Ordnersuche","dieser zum aktuellen Computerverzeichnis",1
FF_AddControl "Ordnersuche","Umbenennen","BUTTON",152,146,36,11
FF_AddControl "Ordnersuche","Verschieben","BUTTON",197,146,36,11
'** End Dialog Ordnersuche **

call RegistryLesen

'Tooltips
if Version_OK("3.30.06") then
	FF_SetControlTooltip "Ordnersuche","StartVer", "" &_
						 StartVer
	FF_SetControlTooltip "Ordnersuche","...", "" &_
						 "Startverzeichnis festlegen"
	FF_SetControlTooltip "Ordnersuche","SuchText", "" &_
						 "gesucht werden Ordner mit dem Suchtext im Namen"
	FF_SetControlTooltip "Ordnersuche","ErgListe", "" &_
						 "bei Doppelklick auf einen der Ordner wird" & vbNewLine &_
						 "dieser zum aktuellen Computerverzeichnis" & vbNewLine &_
						 "und anschlieend das Skript beendet"
	FF_SetControlTooltip "Ordnersuche","Umbenennen", "" &_
						 "den markierten Ordner umbenennen"
	FF_SetControlTooltip "Ordnersuche","Verschieben", "" &_
						 "den markierten Ordner verschieben"
	FF_SetControlTooltip "Ordnersuche","?", "" &_
						 "Anzeige der Kurzbeschreibung"
	FF_SetControlTooltip "Ordnersuche","Update", "" &_
						 "Prfung ob eine neue Version vorliegt"
	FF_SetControlTooltip "Ordnersuche","Abbrechen", "" &_
						 "Skript beenden"
	FF_SetControlTooltip "Ordnersuche","Suchen", "" &_
						 "Suchen nach Ordner mit Suchbegriff im Namen"
end if

if Version_OK("3.40.52") then FF_SetTooltipDelay 2500
FF_SetDialogTimer "Ordnersuche", 200
FF_ActivateControl "Ordnersuche","&delete"

do
	Abbruch = false
	Select Case FF_ShowDialog ("Ordnersuche")
	Case "TIMER"
		FF_SetControl "Ordnersuche" ,"|", "V " & Skriptversion
		
		SuchTextUO = ""
		pos = instr(SuchText,"\")
		if pos > 0 then
			if len(SuchText) > pos then
				SuchTextUO = trim(mid(SuchText,pos +1))
			end if
			SuchText = trim(left(SuchText,pos -1))
		end if
		if objFS.FolderExists(StartVer) and len(trim(SuchText)) > 0 and instr(SuchTextUO,"\") = 0 then
			call Suchen
			FF_SetControl "Ordnersuche" ,"||", Anz & " Ordner gefunden"
		else
			FF_SetControl "Ordnersuche" ,"||", "kein Suchlauf erfolgt"
		end if
		
		FF_SetDialogTimer "Ordnersuche", 0
	Case "&delete"
		Antwort = msgbox("Soll das Skript " & SkriptName & vbNewline & _
						 "wirklich gelscht werden?", _
						 vbYesNo + vbQuestion,"Sicherheitsabfrage")
		if Antwort = vbYes then
			SkriptKill = true
			exit do
		end if
	Case "..."
		Ziel = FF_EnterPath(false,"Wahl des Startverzeichnis")
		if len(Ziel) > 2 then
			FF_SetControl "Ordnersuche","StartVer",Ziel
		end if
	Case "ErgListe"
		FF_SetImagePath FF_GetControl ("Ordnersuche","ErgListe")
		exit do
	Case "Umbenennen"
		if len(FF_GetControl("Ordnersuche","ErgListe")) > 0 then 
			call Listenverbindung
			if not Abbruch then
				call Umbenennen
				if not Abbruch then
					FF_SetImagePath	OrdnerNeu
					exit do
				end if
			end if
		end if
	Case "Verschieben"
		if len(FF_GetControl("Ordnersuche","ErgListe")) > 0 then
			call Listenverbindung
			if not Abbruch then
				call Verschieben
				if not Abbruch then
					FF_SetImagePath	OrdnerNeu
					exit do
				end if
			end if
		end if
	Case "?"
		'FF_SetControl "Ordnersuche","Fortschritt",65	'############## nur fr Screenshot
		WshShell.Popup "" & _
			"Unterhalb des vorgebbaren Startverzeichnisses werden die Ordner" & vbNewLine &_
			"gesucht, die den definierbaren Suchbegriff im Namen haben. Die" & vbNewLine &_
			"gefundenen Ordner werden aufgelistet. Ein Doppelklick mit der linken" & vbNewLine &_
			"Maustaste auf einen dieser Ordner macht diesen zum aktuellen Com-" & vbNewLine &_
			"puterverzeichnis. Das Skript wird beendet." & vbNewLine & vbNewLine &_
			"Hinweis:" & vbNewLine &_
			"Fr den Suchbegriff ist das Format abc\xyz zulssig. Es wird dann" & vbNewLine &_
			"nach Unterordnern mit dem Namensbestandteil xyz in den Ordnern" & vbNewLine &_
			"mit dem Namensbestandteil abc gesucht." & vbNewLine & vbNewLine &_
			"Umbenennen und Verschieben" & vbNewLine &_
			"Der markierte Ordner kann umbenannt oder verschoben werden." & vbNewLine &_
			"Aber Achtung: Bestehen Verbindungen der Dateien im Ordner zu" & vbNewLine &_
			"Bilderlisten, gehen diese verloren. Es erfolgt ein entsprechender" & vbNewLine &_
			"Hinweis mit der Mglichkeit den Vorgang abzubrechen." & vbNewLine &_
			"Nach dem Umbenennen bzw. Verschieben wird der manipulierte" & vbNewLine &_
			"Ordner zum aktuellen Computerverzeichnis. Das Skript wird an-" & vbNewLine &_
			"schlieend beendet."& vbNewLine & vbNewLine &_
			"Mit Bettigung der Tastenkombination Alt + D kann fr das Skript" & vbNewLine &_
			"eine Lschroutine aufgerufen werden." & vbNewLine &_
			"",,"Erluterungen",vbInformation
	Case "Update"
		if InternetConnection then
			SkriptEnde = false
			call Update
			if SkriptEnde then exit do
		end if
	Case "Abbrechen","CANCEL"
		exit do
	Case "Suchen"
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			call Suchen
		end if

	End Select
loop

call RegistrySchreiben
FF_CloseDialog ("Ordnersuche")
if SkriptKill then			'ggf. Skript komplett entfernen
	call KillSkript
end if

end sub
'------------------------------------------------------------------------
Sub Suchen

n = 0 : Anz = 0 : SuchText = trim(SuchText)
FF_SetControl "Ordnersuche","ErgListe",""
Set folder = objfs.GetFolder(StartVer)
call ShowSubfolder (folder)

FF_SetControl "Ordnersuche","Fortschritt",0
FF_SetControl "Ordnersuche" ,"||", Anz & " Ordner gefunden"

End Sub
'------------------------------------------------------------------------
Sub ShowSubfolder(myfolder)
'bei positivem Suchergebnis nicht weiter in der Tiefe suchen

'### Fortschrittsanzeige
n = n +1
FF_SetControl "Ordnersuche","Fortschritt",n/100 *100

'### Abbruch?
if FF_CheckKey() = 8 then 	'8 = Backspace
	Antwort = msgbox("Von " & Anz & " Bildern wurden bisher " & n +1 & " Bilder bearbeitet." & vbNewLine & vbNewLine & _
					 "Soll die Bearbeitung abgebrochen werden?",vbYesNo or vbQuestion,"Abfrage")
	if Antwort = vbYes then exit sub
end if

'### Suche
if instr(ucase(myfolder.path),ucase(SuchText)) > 0 then
	if len(SuchTextUO) > 0 then
		if instr(ucase(myfolder.path),ucase(SuchTextUO)) > 0 then
			FF_SetControl "Ordnersuche","ErgListe",myfolder.path
			Anz = Anz +1
			if not allFolder then exit sub
		end if
	else
		FF_SetControl "Ordnersuche","ErgListe",myfolder.path
		Anz = Anz +1
		if not allFolder then exit sub
	end if
end if

for each subfolder In myfolder.subfolders
	call ShowSubfolder (subfolder)
next
	
End Sub
'------------------------------------------------------------------------
Sub Listenverbindung
Dim f,ImageList

Set f = objFS.OpenTextFile(FF_GetFFPathEx(1) & "\FixFotoImageList.ini", ForReading,True)
ImageList =   f.ReadAll
f.Close

if instr(ImageList,FF_GetControl("Ordnersuche","ErgListe")) > 0 then
	Antwort = msgbox("Mindestens eins der Bilder im Ordner" & vbNewLine &_
					 "hat Verbindungen zu Bilderlisten." & vbNewLine &_
					 "Diese Verbindungen gehen verloren.",vbExclamation + vbOkCancel,"Abbruch?")
	if Antwort = vbCancel then Abbruch = true : exit sub
end if

End Sub
'------------------------------------------------------------------------
Sub Umbenennen

OrdnerPfad = FF_GetControl("Ordnersuche","ErgListe")
if len(OrdnerPfad) = 0 then Abbruch = true : exit sub

pos = InStrRev(OrdnerPfad,"\")
if pos = 0 then Abbruch = true : exit sub

OrdnerAktuell = mid(OrdnerPfad,pos +1)
OrdnerNeu = InputBox("Neuer Ordnername:","Eingabe",OrdnerAktuell)
if len(OrdnerNeu) = 0 then Abbruch = true : exit sub

if instr(OrdnerNeu,"\") > 0 then
	msgbox "Das Zeichen '\' ist nicht zulssig!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if

if objFS.FolderExists(OrdnerNeu) then
	msgbox "Ein Ordner mit dem neuen Namen existiert bereits!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if

OrdnerNeu = left(OrdnerPfad,pos) & OrdnerNeu
if objFS.FolderExists(OrdnerNeu) then
	msgbox "Ein Ordner mit dem neuen Namen existiert bereits!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if
objfs.MoveFolder OrdnerPfad,OrdnerNeu

End Sub
'------------------------------------------------------------------------
Sub Verschieben

OrdnerPfad = FF_GetControl("Ordnersuche","ErgListe")
if len(OrdnerPfad) = 0 then Abbruch = true : exit sub

pos = InStrRev(OrdnerPfad,"\")
if pos = 0 then Abbruch = true : exit sub

OrdnerAktuell = mid(OrdnerPfad,pos +1)

FF_SetCurrentPath OrdnerPfad
OrdnerZiel = FF_EnterPath(false,"Wahl des Startverzeichnis")
if len(OrdnerZiel) = 0 then Abbruch = true : exit sub

OrdnerNeu = OrdnerZiel & "\" & OrdnerAktuell
if objFS.FolderExists(OrdnerNeu) then
	msgbox "Ein Ordner mit dem Namen existiert" & vbNewLine &_
		   "bereits an der gewhlten Stelle!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if

if instr(ucase(OrdnerNeu),ucase(OrdnerPfad)) > 0 then
	msgbox "Der Ordner kann nicht unter sich" & vbNewLine &_
		   "selbst angeordnet werden!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if

objfs.MoveFolder OrdnerPfad,OrdnerNeu

End Sub
'------------------------------------------------------------------------
Sub Werte_auslesen

StartVer = FF_GetControl ("Ordnersuche","StartVer")
SuchText = FF_GetControl ("Ordnersuche","SuchText")

End Sub
'------------------------------------------------------------------------
Sub Kontrolle

if len(StartVer) = 0 then
	msgbox "Es muss ein Startverzeichnis definiert werden!",vbExclamation,"Meldung"
	Abbruch = true : exit sub
end if

if not objFS.FolderExists(StartVer) then
	msgbox "Das angegebene Startverzeichnis existiert nicht!",vbExclamation,"Meldung"
	Abbruch = true : exit sub
end if

if len(trim(SuchText)) = 0 then
	msgbox "Es muss ein Suchbegriff definiert werden!",vbExclamation,"Meldung"
	Abbruch = true : exit sub
end if

SuchTextUO = ""
pos = instr(SuchText,"\")
if pos > 0 then
	if len(SuchText) > pos then
		SuchTextUO = trim(mid(SuchText,pos +1))
	end if
	SuchText = trim(left(SuchText,pos -1))
end if

if instr(SuchTextUO,"\") > 0 then
	msgbox "Im Suchbegriff darf nur einmal '\' verwendet werden!",vbExclamation,"Meldung"
	Abbruch = true : exit sub
end if

End Sub
'------------------------------------------------------------------------
Sub RegistryLesen
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

'### Werte auslesen

StartVer = FF_GetProfile (RegSchluessel,"StartVer")
SuchText = FF_GetProfile (RegSchluessel,"SuchText")

'### Werte eintragen

FF_SetControl "Ordnersuche","StartVer",StartVer
FF_SetControl "Ordnersuche","SuchText",SuchText

End Sub
'------------------------------------------------------------------------
Sub RegistrySchreiben
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

call Werte_Auslesen

'Werte schreiben
FF_WriteProfile RegSchluessel,"StartVer",StartVer
FF_WriteProfile RegSchluessel,"SuchText",SuchText

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Internetverbindung ?
'************************************************************************
'------------------------------------------------------------------------
Function InternetConnection
 
Dim obj
Set obj = GetObject("winmgmts:Win32_PingStatus.address='" & "google.de" & "'")

if IsNull(obj.StatusCode) or obj.StatusCode <> 0 Then
   msgbox "Keine Internetverbindung!",vbInformation,"Hinweis"
   InternetConnection = false
else
   InternetConnection = true
end if
 
End Function
'------------------------------------------------------------------------
'************************************************************************
'Update-Funktion
'************************************************************************
'------------------------------------------------------------------------
Sub Update

call Versionsermittlung_url

if not Abbruch then
	SkriptV_Zahl = Replace(SkriptVersion,".","") *1
	
	if UrlV_Zahl = SkriptV_Zahl then
		msgbox "Die Version " & SkriptVersion & " ist aktuell!",vbInformation,"Versionsmeldung"
	elseif SkriptV_Zahl < UrlV_Zahl then
		Antwort = msgbox("Die Skriptversion " & SkriptVersion & " ist nicht mehr aktuell!" & vbNewLine &_
				"Es steht die Version " & UrlVersion & " zum Download bereit." & vbNewLine & vbNewLine & _
				"Soll die Downloadseite aufgerufen werden?",vbQuestion + vbYesNo,"Versionsmeldung")
		if Antwort = vbYes then
			on error resume next
			WshShell.Run SkriptUrl,1,false
			if err <> 0 then
				msgbox "Die Downloadseite wurde nicht gefunden!",vbExclamation,"Hinweis"
			else
				SkriptEnde = true
			end if
			on error goto 0
		end if
	else
		msgbox 	"Es liegt ein Fehler in den Versionsangaben vor." & vbNewLine &_
				"Die Skriptversion " & SkriptVersion & " ist grer als die auf" & vbNewLine &_
				"der Downloadseite angegebene Version " & UrlVersion & ".",vbInformation,"Fehlermeldung"
	end if
end if

End Sub
'------------------------------------------------------------------------
Sub Versionsermittlung_url

Dim Inhalt,Start,Zeit,pos1,pos2,n
Dim xml, Fehler
Fehler = false

on error resume next
Set xml = CreateObject("Microsoft.XMLHTTP")
xml.Open "Get",SkriptUrl,false
xml.Send

Inhalt = xml.responseText

if err > 0 then
	Fehler = true
else
	'Version suchen und anzeigen
	pos1 = instr(Inhalt,"Version:")
	if pos1 > 0 then
	
		pos2 = instr(pos1 ,Inhalt,"<br")
		if pos2 > 0 then
			UrlVersion = trim(mid(Inhalt,pos1,pos2-pos1))
			'Msgbox "Aktuell ist die " & UrlVersion,vbInformation,"Information"
		else
			Fehler = true
		end if
	else
		Fehler = true
	end if
end if

Set xml = nothing

if Fehler then
	msgbox  "Die Versionsangabe wurde nicht gefunden!" & vbNewLine &_
			"Mglicherweise funktioniert der Internetaufruf nicht." & vbNewLine & vbNewLine & _
			"Am besten nochmal probieren!",vbExclamation,"Fehlermeldung"
	Abbruch = true
	exit sub
end if

'Version als Zahl
pos1 = instr(UrlVersion," ")
if pos1 = 0 then pos1 = 7
UrlVersion = trim(mid(UrlVersion,pos1+1))
UrlV_Zahl = Replace(UrlVersion,".","") *1

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Lschroutine
'************************************************************************
'------------------------------------------------------------------------
Sub KillSkript
'Skript mit allen Komponenten entfernen

Dim SPfad

'### FixFotoScript.ini bereinigen
TempFile = FF_GetFFPathEx(1) & "\FixFotoScript.ini"
if objFS.FileExists(TempFile) then
	call IniBereinigung
	if Abbruch then exit sub
else
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht gefunden werden." & vbNewLine & _
			"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	exit sub
end if

'### zip-Archiv auf Wunsch sichern, dann lschen
TempFile = FF_GetScriptPath & "\" & objFS.GetBaseName(Skriptname) & ".zip"
if objFS.FileExists(TempFile) then
	Antwort = msgbox("Soll das Archiv " & objFS.GetBaseName(Skriptname) & ".zip" & _
			 " gesichert werden?",vbYesNo + vbQuestion,"Sicherheitskopie")
	if Antwort = vbYes then
		SPfad = FF_EnterPath(true,"Wo soll die Sicherheitskopie angelegt werden?")
		if SPfad = "" then
			msgbox "Das Lschen des Skripts wird abgebrochen!",vbExclamation,"Hinweis"
			exit sub
		end if
		SPfad = SPfad & "\" & objFS.GetBaseName(Skriptname) & ".zip"
		objFS.CopyFile Tempfile, SPfad, true
	end if
	objFS.DeleteFile TempFile,true
end if

'### Skriptdatei lschen
TempFile = FF_GetScriptPath & "\" & Skriptname
objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Dateien lschen
'TempFile = """" & FF_GetScriptPath & "\SetDate\SetDate.pdf" & """"			'Dateien
'if objFS.FileExists(TempFile) then objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Ordner lschen
'TempFile = FF_GetScriptPath & "\MeckiScript\SetDate"						'Ordner
'if objFS.FolderExists(TempFile) then objFS.DeleteFolder TempFile,true

'### ggf. Registry-Daten lschen
TempFile = "HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\" & RegSchluessel & "\"
WshShell.RegDelete(TempFile)

'### Fertigmeldung
msgbox "Das Skript" & Skriptname & vbNewLine & "wurde mit allen Komponenten gelscht!" & vbNewLine & _
	   "Es wird empfohlen die 'Automatische Skriptkonfiguration' aufzurufen.",vbExclamation,"Hinweis"

End Sub
'------------------------------------------------------------------------
Sub IniBereinigung
'FixFotoScript.ini - Bereinigung

Dim Zeile, zNr,Anfang, Ende, DateiTmp, ZielZeile, tmpString
DateiTmp =  FF_GetFFPathEx(1) & "\FixFotoScript.tmp"

'### Wo befindet sich der Eintrag zum Skript?
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if tmpString = "[Script]" then Anfang = zNr
	if tmpString = "File=.\" & Skriptname then
		Ende = zNr
		exit do	
	end if
loop 
Zeile.Close

if Ende <= Anfang then
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht bereinigt werden." & vbNewLine & _
		"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	Abbruch = true
	exit sub
end if

'### Zeilen ohne skriptbezogene Zeilen in DateiTmp bertragen
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)
Set ZielZeile  = objFS.CreateTextFile(DateiTmp, True)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if zNr < Anfang or zNr > Ende then
		ZielZeile.WriteLine tmpString
	end if
loop 

Zeile.Close
ZielZeile.Close

'### Umkopieren von DateiTmp nach FixFotoScript.ini (TempFile)
objFS.CopyFile DateiTmp, TempFile, True
objFS.DeleteFile (DateiTmp)

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Standard-Funktionen
'************************************************************************
'------------------------------------------------------------------------
Function Version_OK(MinVersion)
dim VersNr

 VersNr=split(MinVersion,".")
 Version_OK=FF_GetMajor * 1000 + FF_GetMinor + FF_GetBuild / 1000 >=_
     		VersNr(0) * 1000 + VersNr(1) + VersNr(2) / 1000

End Function
'------------------------------------------------------------------------
